PortAudio 2.0

Data Fields
PaStreamCallbackTimeInfo Struct Reference

`#include <portaudio.h>`

## Data Fields
PaTime | inputBufferAdcTime
PaTime | currentTime
PaTime | outputBufferDacTime

## Detailed Description

Timing information for the buffers passed to the stream callback.

Time values are expressed in seconds and are synchronised with the time base used by Pa_GetStreamTime() for the associated stream.

See also
  PaStreamCallback, Pa_GetStreamTime

Definition at line 699 of file portaudio.h.

## Field Documentation

## ◆ currentTime

PaTime PaStreamCallbackTimeInfo::currentTime

The time when the stream callback was invoked

Definition at line 701 of file portaudio.h.

## ◆ inputBufferAdcTime

PaTime PaStreamCallbackTimeInfo::inputBufferAdcTime

The time when the first sample of the input buffer was captured at the ADC input

Definition at line 700 of file portaudio.h.

## ◆ outputBufferDacTime

PaTime PaStreamCallbackTimeInfo::outputBufferDacTime

The time when the first sample of the output buffer will output the DAC

Definition at line 702 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h